/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "openk.styles";

:host {
  display: block;
  width: 100%;

  &:empty {
    display: none;
  }
}

.placeholder {
  padding: 1em;
  font-style: italic;
}

.attachments {
  padding: 1em;
}

.attachments--email {
  display: inline-block;
  margin-bottom: 0.5em;
}

.attachments--documents--filter-btns {
  margin-bottom: 0.1em;
}

.attachments--documents--lists {
  display: flex;
  flex-direction: row;
}

.attachments--document--lists---half-size {
  flex: 1;
}

.attachments--document--lists---space-between {
  margin-right: 0.5em;
}

.openk-button-rounded {
  font-size: 1.15em;
  border: 0;
  color: get-color($openk-info-palette);
  margin-right: 0.25em;

  &:not(.openk-info) {
    background-color: transparent;
  }

  &:not(.openk-info):active,
  &:not(.openk-info):focus,
  &:not(.openk-info):hover {
    background-color: $openk-background-highlight;
  }
}

.openk-chip {
  margin-right: 0.25em;
}
